package com.schisandra.auth.common.enums;

import lombok.Getter;

@Getter
public enum SmsSupplierType {
    /**
     * 阿里云
     */
    ALIBABA("alibaba"),
    /**
     * 华为云
     */
    HUAWEI("huawei"),
    /**
     * 云片
     */
    YUNPIAN("yunpian"),
    /**
     * 腾讯云
     */
    TENCENT("tencent"),
    /**
     * 合一短信
     */
    UNI_SMS("uni"),
    /**
     * 京东云
     */
    JD_CLOUD("jd"),
    /**
     * 容联云
     */
    CLOOPEN("cloopen"),
    /**
     * 亿美软通
     */
    EMAY("emay"),
    /**
     * 天翼云
     */
    CTYUN("ctyun"),
    /**
     * 网易云
     */
    WANGYIYUN("wangyiyun"),
    /**
     * 七牛云
     */
    QINIU("qiniu"),
    /**
     * 助通
     */
    ZHUTONG("zhutong"),

    /**
     * 联麓
     */
    LIANLU("lianlu"),

    /**
     * 鼎众
     */
    DINGZHONG("dingzhong"),
    ;
    public String key;

    SmsSupplierType(String key) {
        this.key = key;

    }

    public static SmsSupplierType getByKey(String key) {
        for (SmsSupplierType resultKeyEnum : SmsSupplierType.values()) {
            if (resultKeyEnum.key.equals(key)) {
                return resultKeyEnum;
            }
        }
        return null;
    }
}

